Get Bulk Product Update Options
curl --request GET \
--url https://omnicommerce.ai/api/v1/products/bulk-update \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.ai/api/v1/products/bulk-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.ai/api/v1/products/bulk-update"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"maxDocuments": 123,
"maxRowsPerFile": 123,
"sources": [
{
"sourceId": "<string>",
"label": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"ownershipModel": "<string>",
"quantityAuthority": "<string>"
}
]
}
}Catalog
Get Bulk Product Update Options
List active stock-file sources used by Omni Bulk Update, including manual warehouses and supported CSV sources. Requires catalog:read and inventory.read.
Use an eligible sourceId before starting inventory updates. Ask the seller to choose when multiple sources are eligible.
GET
/
api
/
v1
/
products
/
bulk-update
Get Bulk Product Update Options
curl --request GET \
--url https://omnicommerce.ai/api/v1/products/bulk-update \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://omnicommerce.ai/api/v1/products/bulk-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.ai/api/v1/products/bulk-update"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"ok": true,
"data": {
"maxDocuments": 123,
"maxRowsPerFile": 123,
"sources": [
{
"sourceId": "<string>",
"label": "<string>",
"locationId": "<string>",
"locationName": "<string>",
"ownershipModel": "<string>",
"quantityAuthority": "<string>"
}
]
}
}